php-imagick (3.8.0-3) unstable; urgency=medium

  * Team upload
  * Bug fix: "imagemagick breaks php-imagick autopkgtest: isSimilar
    failed", thanks to Paul Gevers (Closes: #1112521).

 -- Bastien Roucariès <rouca@debian.org>  Sat, 06 Sep 2025 15:29:57 +0200

php-imagick (3.8.0-2) unstable; urgency=medium

  * Remove the --verbose flag from phpunit (Closes: #1104434)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Apr 2025 13:48:40 +0200

php-imagick (3.8.0-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 3.8.0

  [ James Valleroy ]
  * d/tests/control: Avoid error when trying to write cache

  [ David Prévot ]
  * Adapt to recent version of PHPUnit (9) (Closes: #977824)

  [ William Desportes ]
  * Remove Guillaume Delacour

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 Apr 2025 12:30:33 +0200

php-imagick (3.8.0~rc2-3) unstable; urgency=medium

  * Depend on dh-php >= 5.9 to fix FTBFS on Debian Trixie

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Apr 2025 14:50:36 +0200

php-imagick (3.8.0~rc2-2) unstable; urgency=medium

  [ David Prévot ]
  * Drop --verbose option not compatible with PHPUnit 11
  * Allow stderr during debci (for PHPUnit 11)
  * Extend clean
  * Drop tests currently failing with PHPUnit 11

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Apr 2025 12:59:43 +0200

php-imagick (3.8.0~rc2-1) unstable; urgency=medium

  * New upstream version 3.8.0~rc2
   + This includes upstream support for PHP 8.4
  * Provide alternative dependencies for ImageMagick 6

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Apr 2025 12:59:33 +0200

php-imagick (3.7.0-13) unstable; urgency=medium

  * Drop --verbose option not compatible with PHPUnit 11
  * Allow stderr during debci (for PHPUnit 11)
  * Extend clean
  * Drop tests currently failing with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 17:45:14 +0100

php-imagick (3.7.0-12) unstable; urgency=medium

  * No change source-only upload to allow migration.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Dec 2024 09:38:30 +0100

php-imagick (3.7.0-11) unstable; urgency=medium

  * Fix Build-Depend on php-all-dev (>= 2:95~)
  * Fix removed php_strtolower for PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 18:17:48 +0100

php-imagick (3.7.0-10) unstable; urgency=medium

  * Improve kurtosis test so that is passes (Closes: #1088649)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Dec 2024 11:02:28 +0100

php-imagick (3.7.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix test dependencies for imagemagick 7. Closes: #1088649.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 30 Nov 2024 09:12:24 +0100

php-imagick (3.7.0-9) unstable; urgency=medium

  * Add dependency on libmagickwand7.q16-dev (Closes: #1086939)
  * Reinstate 3.4.3-3.1 changelog (Closes: #945374)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Nov 2024 08:19:20 +0100

php-imagick (3.7.0-8) unstable; urgency=medium

  * Bump Build-Depends to dh-php >= 5.5~

 -- Ondřej Surý <ondrej@debian.org>  Sun, 22 Sep 2024 08:12:44 +0200

php-imagick (3.7.0-7) unstable; urgency=medium

  * Upload to experimental

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Sep 2024 12:57:24 +0200

php-imagick (3.7.0-6) unstable; urgency=medium

  * Bump default version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 17:33:49 +0200

php-imagick (3.7.0-5) unstable; urgency=medium

  * Bump the debian version to trigger rebuild. (Closes: #1074172)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Feb 2024 10:01:26 +0100

php-imagick (3.7.0-4) unstable; urgency=medium

  * Install the extra ImageMagick codes for SVG support in autopkgtests
    (Closes: #1028976)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Jan 2023 16:10:05 +0100

php-imagick (3.7.0-3) unstable; urgency=medium

  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 13:40:07 +0100

php-imagick (3.7.0-2) unstable; urgency=medium

  * Swap ttf-dejavu-core for fonts-dejavu-core (Closes: #1008005)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 20 Mar 2022 18:09:06 +0100

php-imagick (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Disable test that fails with PHPUnit\Runner\Exception: No PHPT
    expectation (Closes: #1003669)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2022 10:27:57 +0100

php-imagick (3.6.0-4) unstable; urgency=medium

  * Fix the d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 15:01:25 +0100

php-imagick (3.6.0-3) unstable; urgency=medium

  * Regenerate d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:09:48 +0100

php-imagick (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 09:29:11 +0100

php-imagick (3.5.1-3) unstable; urgency=medium

  * Recompile for PHP 7.4 until the transition is complete

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Nov 2021 11:25:53 +0100

php-imagick (3.5.1-2) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:00:56 +0100

php-imagick (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Update patches for imagick 3.5.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Aug 2021 16:35:48 +0200

php-imagick (3.4.4+php8.0+3.4.4-7) unstable; urgency=medium

  * Fix the extra test from PHP 8.0 patches to apply only to
    imagick-3.4.4+php8.0/ directory (Closes: #983607)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Mar 2021 11:47:36 +0100

php-imagick (3.4.4+php8.0+3.4.4-6) unstable; urgency=medium

  * Use only the main version to run the autopkgtest
  * Strip down information in d/control
  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:07:03 +0100

php-imagick (3.4.4+php8.0+3.4.4-5) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:32 +0100

php-imagick (3.4.4+php8.0+3.4.4-4) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:50:44 +0100

php-imagick (3.4.4+php8.0+3.4.4-3) unstable; urgency=medium

  * Sync the changelog with Debian bullseye
  * Update d/gbp.conf for debian/main branch
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:10:47 +0100

php-imagick (3.4.4+php8.0+3.4.4-2) unstable; urgency=medium

  * Update d/watch to use https://pecl.php.net
  * Lower the dh-php dependency to Debian sid version
  * Update d/gbp.conf for Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:40:03 +0100

php-imagick (3.4.4+php8.0+3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4+php8.0+3.4.4
   + Add extra source for PHP 8.0 and keep the 3.4.4 unpatched
     for PHP 5.x and PHP 7.x
  * Duplicate the patches for PHP 8.0 version

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Dec 2020 18:18:03 +0100

php-imagick (3.4.4-10) unstable; urgency=medium

  * Update for dh-php >= 2.0 support

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 14:35:31 +0200

php-imagick (3.4.4-9) unstable; urgency=medium

  * Update d/gbp.conf for main branch
  * Pull patches to support PHP 8 (Courtesy of Remi Collet)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 12:50:29 +0200

php-imagick (3.4.4-8) unstable; urgency=medium

  * Build-Depend on dh-php >= 1.1~

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 14:56:06 +0200

php-imagick (3.4.4-7) unstable; urgency=medium

  * Build-Depend on debhelper >= 10~
  * Build-Depend on dh_php >= 0.38~ to get independent binary packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 13:35:20 +0200

php-imagick (3.4.4-6) unstable; urgency=medium

  * Finish conversion to debhelper compat level 10
  * Build-Depend on dh_php >= 0.37~ to get independent binary packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Sep 2020 13:18:49 +0200

php-imagick (3.4.4-5) unstable; urgency=medium

  * Don't fail on failed tests - the tests are still too fragile to cause
    hard fail

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Mar 2020 11:32:31 +0100

php-imagick (3.4.4-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Pull Ubuntu changes to the php-imagick package (Closes: #854707, #826998)

  [ Bryce Harrington ]
  * d/t/control: Restore Restriction: needs-recommends since the tests
    require the -extra libmagickcore package
  * d/p/no-openmp-threads.patch: limit the number of openmp threads used
    to 1.
  * d/p/0003-Disable-test-014-which-fails-due-to-system-resources.patch:
    Disable 014-setresourcelimit.phpt to fix autopkgtest failure. The test
    describes itself as 'flaky', and appears to suffer from sensitivity to
    system resource limit policies with ImageMagick.

   [ Christian Ehrhardt ]
   * d/rules: re-enable to fail on build time tests
   * d/p/0004-Disable-remaining-tests-failing-with-7.4.patch to at least
     retain the remaining coverage

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Mar 2020 10:04:48 +0100

php-imagick (3.4.4-3) unstable; urgency=medium

  * Don't fail on failed tests

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 16:36:26 +0100

php-imagick (3.4.4-2) unstable; urgency=medium

  * PHP 7.4 Rebuild

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 16:33:12 +0100

php-imagick (3.4.4-1) unstable; urgency=medium

  * Add Pre-Depends on php-common >= 0.69~
  * New upstream version 3.4.4
  * Rebase patches for php-imagick 3.4.4

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 16:32:41 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php8.4-imagick`.
